
From: Stephen Rothwell <sfr@canb.auug.org.au>

This patch just gathers together all the struct flock definitions except
xtensa into asm-generic/fcntl.h.

Signed-off-by: Stephen Rothwell <sfr@canb.auug.org.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-alpha/fcntl.h   |    8 --------
 include/asm-arm/fcntl.h     |    8 --------
 include/asm-arm26/fcntl.h   |    8 --------
 include/asm-cris/fcntl.h    |    8 --------
 include/asm-frv/fcntl.h     |    8 --------
 include/asm-generic/fcntl.h |   17 +++++++++++++++++
 include/asm-h8300/fcntl.h   |    8 --------
 include/asm-i386/fcntl.h    |    8 --------
 include/asm-ia64/fcntl.h    |    8 --------
 include/asm-m32r/fcntl.h    |   12 ------------
 include/asm-m68k/fcntl.h    |    8 --------
 include/asm-mips/fcntl.h    |   17 ++++-------------
 include/asm-parisc/fcntl.h  |    8 --------
 include/asm-ppc/fcntl.h     |   10 ----------
 include/asm-s390/fcntl.h    |   10 ----------
 include/asm-sh/fcntl.h      |    8 --------
 include/asm-sparc/fcntl.h   |   11 ++---------
 include/asm-sparc64/fcntl.h |    9 +--------
 include/asm-v850/fcntl.h    |    8 --------
 include/asm-x86_64/fcntl.h  |   13 -------------
 include/asm-xtensa/fcntl.h  |    2 ++
 21 files changed, 26 insertions(+), 171 deletions(-)

diff -puN include/asm-alpha/fcntl.h~clean-up-struct-flock-definitions include/asm-alpha/fcntl.h
--- devel/include/asm-alpha/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-alpha/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -37,14 +37,6 @@
 
 #define F_INPROGRESS	64
 
-struct flock {
-	short l_type;
-	short l_whence;
-	__kernel_off_t l_start;
-	__kernel_off_t l_len;
-	__kernel_pid_t l_pid;
-};
-
 #include <asm-generic/fcntl.h>
 
 #endif
diff -puN include/asm-arm26/fcntl.h~clean-up-struct-flock-definitions include/asm-arm26/fcntl.h
--- devel/include/asm-arm26/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-arm26/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -12,14 +12,6 @@
 #define F_SETLK64	13
 #define F_SETLKW64	14
 
-struct flock {
-	short l_type;
-	short l_whence;
-	off_t l_start;
-	off_t l_len;
-	pid_t l_pid;
-};
-
 struct flock64 {
 	short  l_type;
 	short  l_whence;
diff -puN include/asm-arm/fcntl.h~clean-up-struct-flock-definitions include/asm-arm/fcntl.h
--- devel/include/asm-arm/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-arm/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -10,14 +10,6 @@
 #define F_SETLK64	13
 #define F_SETLKW64	14
 
-struct flock {
-	short l_type;
-	short l_whence;
-	off_t l_start;
-	off_t l_len;
-	pid_t l_pid;
-};
-
 struct flock64 {
 	short  l_type;
 	short  l_whence;
diff -puN include/asm-cris/fcntl.h~clean-up-struct-flock-definitions include/asm-cris/fcntl.h
--- devel/include/asm-cris/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-cris/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -5,14 +5,6 @@
 #define F_SETLK64      13
 #define F_SETLKW64     14
 
-struct flock {
-	short l_type;
-	short l_whence;
-	off_t l_start;
-	off_t l_len;
-	pid_t l_pid;
-};
-
 struct flock64 {
 	short  l_type;
 	short  l_whence;
diff -puN include/asm-frv/fcntl.h~clean-up-struct-flock-definitions include/asm-frv/fcntl.h
--- devel/include/asm-frv/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-frv/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -5,14 +5,6 @@
 #define F_SETLK64	13
 #define F_SETLKW64	14
 
-struct flock {
-	short l_type;
-	short l_whence;
-	off_t l_start;
-	off_t l_len;
-	pid_t l_pid;
-};
-
 struct flock64 {
 	short  l_type;
 	short  l_whence;
diff -puN include/asm-generic/fcntl.h~clean-up-struct-flock-definitions include/asm-generic/fcntl.h
--- devel/include/asm-generic/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-generic/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -1,6 +1,8 @@
 #ifndef _ASM_GENERIC_FCNTL_H
 #define _ASM_GENERIC_FCNTL_H
 
+#include <linux/types.h>
+
 /* open/fcntl - O_SYNC is only implemented on blocks devices and on files
    located on an ext2 file system */
 #define O_ACCMODE	00000003
@@ -104,4 +106,19 @@
 
 #define F_LINUX_SPECIFIC_BASE	1024
 
+#ifndef HAVE_ARCH_STRUCT_FLOCK
+#ifndef __ARCH_FLOCK_PAD
+#define __ARCH_FLOCK_PAD
+#endif
+
+struct flock {
+	short	l_type;
+	short	l_whence;
+	off_t	l_start;
+	off_t	l_len;
+	pid_t	l_pid;
+	__ARCH_FLOCK_PAD
+};
+#endif
+
 #endif /* _ASM_GENERIC_FCNTL_H */
diff -puN include/asm-h8300/fcntl.h~clean-up-struct-flock-definitions include/asm-h8300/fcntl.h
--- devel/include/asm-h8300/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-h8300/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -10,14 +10,6 @@
 #define F_SETLK64	13
 #define F_SETLKW64	14
 
-struct flock {
-	short l_type;
-	short l_whence;
-	off_t l_start;
-	off_t l_len;
-	pid_t l_pid;
-};
-
 struct flock64 {
 	short  l_type;
 	short  l_whence;
diff -puN include/asm-i386/fcntl.h~clean-up-struct-flock-definitions include/asm-i386/fcntl.h
--- devel/include/asm-i386/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-i386/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -5,14 +5,6 @@
 #define F_SETLK64	13
 #define F_SETLKW64	14
 
-struct flock {
-	short l_type;
-	short l_whence;
-	off_t l_start;
-	off_t l_len;
-	pid_t l_pid;
-};
-
 struct flock64 {
 	short  l_type;
 	short  l_whence;
diff -puN include/asm-ia64/fcntl.h~clean-up-struct-flock-definitions include/asm-ia64/fcntl.h
--- devel/include/asm-ia64/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-ia64/fcntl.h	2005-08-31 17:55:38.000000000 -0700
@@ -5,14 +5,6 @@
  *	David Mosberger-Tang <davidm@hpl.hp.com>, Hewlett-Packard Co.
  */
 
-struct flock {
-	short l_type;
-	short l_whence;
-	off_t l_start;
-	off_t l_len;
-	pid_t l_pid;
-};
-
 #define force_o_largefile()	\
 		(personality(current->personality) != PER_LINUX32)
 
diff -puN include/asm-m32r/fcntl.h~clean-up-struct-flock-definitions include/asm-m32r/fcntl.h
--- devel/include/asm-m32r/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-m32r/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -1,22 +1,10 @@
 #ifndef _ASM_M32R_FCNTL_H
 #define _ASM_M32R_FCNTL_H
 
-/* $Id$ */
-
-/* orig : i386 2.4.18 */
-
 #define F_GETLK64	12	/*  using 'struct flock64' */
 #define F_SETLK64	13
 #define F_SETLKW64	14
 
-struct flock {
-	short l_type;
-	short l_whence;
-	off_t l_start;
-	off_t l_len;
-	pid_t l_pid;
-};
-
 struct flock64 {
 	short  l_type;
 	short  l_whence;
diff -puN include/asm-m68k/fcntl.h~clean-up-struct-flock-definitions include/asm-m68k/fcntl.h
--- devel/include/asm-m68k/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-m68k/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -10,14 +10,6 @@
 #define F_SETLK64	13
 #define F_SETLKW64	14
 
-struct flock {
-	short l_type;
-	short l_whence;
-	off_t l_start;
-	off_t l_len;
-	pid_t l_pid;
-};
-
 struct flock64 {
 	short  l_type;
 	short  l_whence;
diff -puN include/asm-mips/fcntl.h~clean-up-struct-flock-definitions include/asm-mips/fcntl.h
--- devel/include/asm-mips/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-mips/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -50,7 +50,7 @@ typedef struct flock {
 	long	l_sysid;
 	__kernel_pid_t l_pid;
 	long	pad[4];
-} flock_t;
+};
 
 typedef struct flock64 {
 	short	l_type;
@@ -60,22 +60,13 @@ typedef struct flock64 {
 	pid_t	l_pid;
 } flock64_t;
 
-#else /* 64-bit definitions */
 
-typedef struct flock {
-	short	l_type;
-	short	l_whence;
-	__kernel_off_t l_start;
-	__kernel_off_t l_len;
-	__kernel_pid_t l_pid;
-} flock_t;
-
-#ifdef __KERNEL__
-#define flock64		flock
-#endif
+#define HAVE_ARCH_STRUCT_FLOCK
 
 #endif
 
 #include <asm-generic/fcntl.h>
 
+typedef struct flock flock_t;
+
 #endif /* _ASM_FCNTL_H */
diff -puN include/asm-parisc/fcntl.h~clean-up-struct-flock-definitions include/asm-parisc/fcntl.h
--- devel/include/asm-parisc/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-parisc/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -33,14 +33,6 @@
 #define F_WRLCK		02
 #define F_UNLCK		03
 
-struct flock {
-	short l_type;
-	short l_whence;
-	off_t l_start;
-	off_t l_len;
-	pid_t l_pid;
-};
-
 struct flock64 {
 	short l_type;
 	short l_whence;
diff -puN include/asm-ppc/fcntl.h~clean-up-struct-flock-definitions include/asm-ppc/fcntl.h
--- devel/include/asm-ppc/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-ppc/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -10,17 +10,7 @@
 #define F_GETLK64	12	/*  using 'struct flock64' */
 #define F_SETLK64	13
 #define F_SETLKW64	14
-#endif
-
-struct flock {
-	short l_type;
-	short l_whence;
-	off_t l_start;
-	off_t l_len;
-	pid_t l_pid;
-};
 
-#ifndef __powerpc64__
 struct flock64 {
 	short  l_type;
 	short  l_whence;
diff -puN include/asm-s390/fcntl.h~clean-up-struct-flock-definitions include/asm-s390/fcntl.h
--- devel/include/asm-s390/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-s390/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -12,17 +12,7 @@
 #define F_GETLK64	12	/*  using 'struct flock64' */
 #define F_SETLK64	13
 #define F_SETLKW64	14
-#endif /* ! __s390x__ */
 
-struct flock {
-	short l_type;
-	short l_whence;
-	off_t l_start;
-	off_t l_len;
-	pid_t l_pid;
-};
-
-#ifndef __s390x__
 struct flock64 {
 	short  l_type;
 	short  l_whence;
diff -puN include/asm-sh/fcntl.h~clean-up-struct-flock-definitions include/asm-sh/fcntl.h
--- devel/include/asm-sh/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-sh/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -5,14 +5,6 @@
 #define F_SETLK64	13
 #define F_SETLKW64	14
 
-struct flock {
-	short l_type;
-	short l_whence;
-	off_t l_start;
-	off_t l_len;
-	pid_t l_pid;
-};
-
 struct flock64 {
 	short  l_type;
 	short  l_whence;
diff -puN include/asm-sparc64/fcntl.h~clean-up-struct-flock-definitions include/asm-sparc64/fcntl.h
--- devel/include/asm-sparc64/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-sparc64/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -29,14 +29,7 @@
 #define F_WRLCK		2
 #define F_UNLCK		3
 
-struct flock {
-	short l_type;
-	short l_whence;
-	off_t l_start;
-	off_t l_len;
-	pid_t l_pid;
-	short __unused;
-};
+#define __ARCH_FLOCK_PAD	short __unused;
 
 #include <asm-generic/fcntl.h>
 
diff -puN include/asm-sparc/fcntl.h~clean-up-struct-flock-definitions include/asm-sparc/fcntl.h
--- devel/include/asm-sparc/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-sparc/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -32,15 +32,6 @@
 #define F_WRLCK		2
 #define F_UNLCK		3
 
-struct flock {
-	short l_type;
-	short l_whence;
-	off_t l_start;
-	off_t l_len;
-	pid_t l_pid;
-	short __unused;
-};
-
 struct flock64 {
 	short l_type;
 	short l_whence;
@@ -50,6 +41,8 @@ struct flock64 {
 	short __unused;
 };
 
+#define __ARCH_FLOCK_PAD	short __unused;
+
 #include <asm-generic/fcntl.h>
 
 #endif
diff -puN include/asm-v850/fcntl.h~clean-up-struct-flock-definitions include/asm-v850/fcntl.h
--- devel/include/asm-v850/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-v850/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -10,14 +10,6 @@
 #define F_SETLK64	13
 #define F_SETLKW64	14
 
-struct flock {
-	short l_type;
-	short l_whence;
-	off_t l_start;
-	off_t l_len;
-	pid_t l_pid;
-};
-
 struct flock64 {
 	short  l_type;
 	short  l_whence;
diff -puN include/asm-x86_64/fcntl.h~clean-up-struct-flock-definitions include/asm-x86_64/fcntl.h
--- devel/include/asm-x86_64/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-x86_64/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -1,14 +1 @@
-#ifndef _X86_64_FCNTL_H
-#define _X86_64_FCNTL_H
-
-struct flock {
-	short  l_type;
-	short  l_whence;
-	off_t l_start;
-	off_t l_len;
-	pid_t  l_pid;
-};
-
 #include <asm-generic/fcntl.h>
-
-#endif /* !_X86_64_FCNTL_H */
diff -puN include/asm-xtensa/fcntl.h~clean-up-struct-flock-definitions include/asm-xtensa/fcntl.h
--- devel/include/asm-xtensa/fcntl.h~clean-up-struct-flock-definitions	2005-08-31 17:55:26.000000000 -0700
+++ devel-akpm/include/asm-xtensa/fcntl.h	2005-08-31 17:55:26.000000000 -0700
@@ -53,6 +53,8 @@ struct flock64 {
 	pid_t  l_pid;
 };
 
+#define HAVE_ARCH_STRUCT_FLOCK
+
 #include <asm-generic/fcntl.h>
 
 #endif /* _XTENSA_FCNTL_H */
_
